# TimeIntervalCollectionPositionProperty

#### new Cesium.TimeIntervalCollectionPositionProperty(referenceFrame)
DataSources/TimeIntervalCollectionPositionProperty.js 18

A `TimeIntervalCollectionProperty` which is also a `PositionProperty`.

Name | Type | Default | Description
--- | --- | --- | ---
`referenceFrame` | ReferenceFrame | `ReferenceFrame.FIXED` | optional The reference frame in which the position is defined.

### Members

#### readonly definitionChanged : Event
DataSources/TimeIntervalCollectionPositionProperty.js 48

Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### intervals : TimeIntervalCollection
DataSources/TimeIntervalCollectionPositionProperty.js 58

Gets the interval collection.

#### readonly isConstant : Boolean
DataSources/TimeIntervalCollectionPositionProperty.js 34

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

#### referenceFrame : ReferenceFrame
DataSources/TimeIntervalCollectionPositionProperty.js 69

Gets the reference frame in which the position is defined.

Default Value: `ReferenceFrame.FIXED;`

### Methods

#### equals(other) → Boolean
DataSources/TimeIntervalCollectionPositionProperty.js 119

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getValue(time, result) → Object
DataSources/TimeIntervalCollectionPositionProperty.js 83

Gets the value of the property at the provided time in the fixed frame.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.

#### getValueInReferenceFrame(time, referenceFrame, result) → Cartesian3
DataSources/TimeIntervalCollectionPositionProperty.js 95

Gets the value of the property at the provided time and in the provided reference frame.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`referenceFrame` | ReferenceFrame | The desired referenceFrame of the result.
`result` | Cartesian3 | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.